### Method

# ICalGLib Component get_iana_name

since: 4.0

#### Declaration [src]

    const gchar*
    i_cal_component_get_iana_name (
      const ICalComponent* component
    )

#### Description [src]

Returns the IANA name of the `component` as string, or `NULL`.

Available since: 4.0

#### Return value

Type: `const gchar*`

IANA name of the `component`, or `NULL`, when it’s not an IANA component.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.